use std::str::FromStr;

fn main() {
    let s = "123";
    //let s = "abc";
    if let Ok(n) = i32::from_str(s) {
        println!("{n} に変換できました。");
    } else {
        println!("{s} は変換できません。");
    }
}